$(function() {
    $.scrollify({
        section : ".scrollable-section", /* la classe qui défini les sections à scroller */
        sectionName : "section-name", /* attribut qui défini les sections */
        interstitialSection : "", /* la classe qui défini les sections à scroller avec une taille différente de l'écran */
        easing: "easeOutExpo", /* courbe d'effet du scrolling */
        scrollSpeed: 1100, /* vitesse de l'animation de scrolling */
        offset : 0, /* décalage en pixel lors des scrolls d'une section à une autre */
        scrollbars: true, /* affiche les scrollbars du navigateur ou non */
        standardScrollElements: "", /* la classe pour les éléments dans les sections qui nécessitent un comportement de défilement standard */
        setHeights: true, /* défini si le scroll est de la hauteur de section */
        overflowScroll: true, /* permet de faire défiler le contenu débordant dans les sections */
        updateHash: true, /* met à jour le hash de localisation du navigateur lors du défilement des sections */
        touchScroll:true, /* défini si Scrollify gère les événements de défilement tactiles */
        before:function() {/* fonction a faire avant l'animation */
        },
        after:function() { /* fonction a faire après l'animation */
            //après le scroll, on gère le menu :
            //1 - enlever les classes actives éventuelles sur les items du menu
            $('li.menu').removeClass('active');
            var currentSection = $.scrollify.current();
            if(currentSection !== null){
                //2 - on met à jour l'item du menu sur lequel on se trouve
                var currentId = currentSection[0].getAttribute('data-section-name');
                var menuItem = $('li#'+currentId+'-menu');
                if(menuItem !== null){
                    menuItem.addClass('active');
                }    
                //après le scroll, on joue éventuellement des animations
                switch (currentId) {
                    case "products":
                        $('#products-section img.rounded').addClass('show');
                        break;
                    default:
                        $('#products-section img.rounded').removeClass('show');
                        $('#products-section img.rounded').addClass('hide');
                        break;
                }         
            }
        },
        afterResize:function() {}, /* fonction a faire avant un redimensionnement */
        afterRender:function() {} /* fonction a faire après un redimensionnement */
    });
});
